Well, it can't be much worse than that. I strongly recommend V1 owners run their FCCID in the link previously mentioned. If your units last test date was earlier than 2016, it's time for new hardware, not software patches. I refuse to run Microsoft OS for the same reasons, patchwork updates, poor code, swiss cheese holes, hackers delight. Run Unix now.

Kmeleon